Skip to content

In Vault, binders are just another kind of document. Therefore, to retrieve a list of all binders in your Vault, you must use the same API endpoint to retrieve documents. By searching the response, you can distinguish binders from documents by using the document field binder__v set to true or false. See the response details below. Note that nested binders (a binder contained within another binder) are not retrieved.

This endpoint does not retrieve binder sections, which means the response will not include binders within other binder sections. To retrieve all metadata configured on a binder, including sections, you must use the binder IDs retrieved from this request in the Retrieve Binder endpoint.

Alternatively, you can use VQL to find just binders SELECT id FROM binders. See VQL documentation for details.

GET/api/{version}/objects/documents
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v20.2/objects/documents
{ "responseStatus": "SUCCESS", "size": 77, "start": 0, "limit": 200, "documents": [ { "document": { "id": 101, "binder__v": true, "coordinator__v": { "groups": [], "users": [ 25525 ] }, "version_creation_date__v": "2015-03-11T22:04:44.725Z", "major_version_number__v": 0, "status__v": "Planned", "product__v": [ "1357662840171" ], "version_created_by__v": 25524, "country__v": [], "document_number__v": "VV-00127", "minor_version_number__v": 1, "lifecycle__v": "General Lifecycle", "crosslink__v": false, "name__v": "CholeCap Presentation" } } ] }

The example response shows the field names and values configured on two separate documents in our Vault:

  • The first record retrieved "id": 101 has "binder__v": true. This document is a binder.
  • The second record retrieved "id": 102 has "binder__v": false. This document is a regular document.